package jp.flashcast.translator.android;

import jp.flashcast.translator.android.dao.TranslateDao;
import jp.flashcast.translator.android.model.TranslateModel;
import android.app.Activity;
import android.database.Cursor;
import android.os.Bundle;
import android.provider.BaseColumns;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class TranslatorSample5 extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
		TranslateDao dao = new TranslateDao(this);
		ArrayAdapter<TranslateModel> adapter = new ArrayAdapter<TranslateModel>(this, android.R.layout.simple_list_item_1);
		
		addTranslateModel(adapter, dao.find(null, BaseColumns._ID + " DESC", null));
		
		ListView view = (ListView)findViewById(R.id.histories);
		view.setAdapter(adapter);
    }
    
    private void addTranslateModel(ArrayAdapter<TranslateModel> adapter, Cursor cursor) {
		if (cursor != null) {
			if (cursor.getCount() > 0) {
				while (cursor.moveToNext()) {
					TranslateModel model = new TranslateModel();
					model.setId(cursor.getInt(0));
					model.setOriginal(cursor.getString(1));
					model.setTranslated(cursor.getString(2));
					model.setSrcLanguage(cursor.getString(3));
					model.setDstLanguage(cursor.getString(4));
					model.setDt(cursor.getString(5));
					adapter.add(model);
				}
			}
		}
    }
}